# eoInnerExchangeQuadOp< EOT > Class Template Reference

Crossover using an AtomCrossover. More...

`#include <eoVariableLengthCrossover.h>`

Inheritance diagram for eoInnerExchangeQuadOp< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoInnerExchangeQuadOp (eoQuadOp< AtomType > &_op, float _rate=0.5)
| default ctor: requires bounds on number of genes + a rate
bool | operator() (EOT &_eo1, EOT &_eo2)
| performs the Atom crossover
virtual std::string | className () const

## Private Attributes

float | rate
eoQuadOp< AtomType > & | op

## Detailed Description

### template<class EOT>
class eoInnerExchangeQuadOp< EOT >

Crossover using an AtomCrossover.

Probably irrelevant in Variable Length - see eoFlOrBinOp.h and eoFlOrQuadOp.h for the similar Fixed Length operators

Definition at line 172 of file eoVariableLengthCrossover.h.

The documentation for this class was generated from the following file:

- eoVariableLengthCrossover.h